#include <stdio.h>
#include <stdlib.h>
#include <time.h>




int randomvar(int randmax)
{
  //srand(1);
  return rand() % randmax;
  
}


int main () {
srand(time(NULL));

  int min;
  int max;
  int antal;
  char filnamn[100];
    //  char buff[100];

  printf("Minsta slumptal:" );
  scanf("%d", &min);
  //  printf("\nmin : %d\n", min);

  printf("Största slumptal:");
  scanf("%d", &max);
  //printf("\nmax : %d\n", max);
  
  printf("Antal Slumptal: ");
  scanf("%d", &antal);
  //printf("\nantal : %d\n", antal);

  printf("Ange filnamn: ");
  scanf("%s", filnamn);
  //printf("\nfilnamn : %s\n", filnamn);

  int random;

  FILE *fp;
  fp = fopen(filnamn, "w");
  int i;
  for (i = 0; i < antal; i++)
    {
      random = randomvar(max - min);
      random = random + min;
      fprintf(fp, "%i\n", random);
    }
	      


  fclose(fp);



  return 0;
  
  
}
